Bug 1506017 - failed to start SDN plugin controller when Network CIDRS are invalid.
Summary: failed to start SDN plugin controller when Network CIDRS are invalid.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Dan Winship
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks: 1508445
TreeView+ depends on / blocked
 
Reported: 2017-10-24 19:28 UTC by Ryan Howe
Modified: 2018-12-28 07:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1508445 (view as bug list)
Environment:
Last Closed: 2017-11-28 22:19:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Origin (Github) 17076 None None None 2017-11-01 12:41:46 UTC
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Ryan Howe 2017-10-24 19:28:26 UTC
Description of problem:

# In your master-config file:
clusterNetworkCIDR: 10.1.0.0/13
serviceNetworkCIDR: 172.30.0.0/1

# clusternetwork object is created with this:
network: 10.0.0.0/13
ServiceNetwork: 172.24.0.0/13


Version-Release number of selected component (if applicable):
3.6 

How reproducible:
100% 

Steps to Reproduce:
1. Install 3.5 cluster with ansible host values of: 

osm_cluster_network_cidr=10.1.0.0/13
openshift_portal_net=172.30.0.0/13

2. After install network gets set to 

# clusternetwork object is created with this:
network: 10.0.0.0/13
ServiceNetwork: 172.24.0.0/13

3. Upgrade to 3.6 with same ansible host values. 

osm_cluster_network_cidr=10.1.0.0/13
openshift_portal_net=172.30.0.0/13


Actual results:

Controller fails to start due to values set in master-config.yaml 

atomic-openshift-master-controllers[111528]: E1019 12:17:26.599325  111528 common.go:46] Configured clusterNetworkCIDR value "10.1.0.0/13" is invalid; treating it as "10.0.0.0/13"

atomic-openshift-master-controllers[111528]: E1019 12:17:26.599336  111528 common.go:54] Configured serviceNetworkCIDR value "172.30.0.0/13" is invalid; treating it as "172.24.0.0/13"

atomic-openshift-master-controllers[111528]: F1019 12:17:26.612560  111528 start_master.go:776] Error starting "openshift.io/sdn" (failed to start SDN plugin controller: cannot change clusterNetworkCIDR to a value that does not include the existing network.)

Expected results:

The controller to start as the values use the same netmask.

Comment 1 Dan Winship 2017-10-31 20:02:22 UTC
(Note: In 3.7 this is fixed by the combination of https://github.com/openshift/origin/pull/17076 and https://github.com/openshift/origin/pull/17117.)

Comment 2 Dan Winship 2017-10-31 21:35:02 UTC
https://github.com/openshift/ose/pull/918

Comment 4 Yan Du 2017-11-03 10:10:04 UTC
openshift v3.7.0-0.190.0
kubernetes v1.7.6+a08f5eeb62

Invalid cird format could be accepted, and the sdn controller could start normally
Nov 03 04:43:52 ip-172-18-0-200.ec2.internal atomic-openshift-master-controllers[22279]: E1103 04:43:52.682770   22279 common.go:64] Configured clusterNetworks value "10.1.0.0/13" is invalid; treating it as "10.0.0.0/13"
Nov 03 04:45:11 ip-172-18-0-200.ec2.internal atomic-openshift-master-controllers[23916]: E1103 04:45:11.447249   23916 common.go:64] Configured clusterNetworks value "10.1.0.0/13" is invalid; treating it as "10.0.0.0/13"
Nov 03 04:50:58 ip-172-18-0-200.ec2.internal atomic-openshift-master-controllers[23916]: I1103 04:50:58.257322   23916 subnets.go:105] Created HostSubnet ip-172-18-0-200.ec2.internal (host: "ip-172-18-0-200.ec2.internal", ip: "172.18.0.200", subnet: "10.1.0.0/23")

Comment 7 errata-xmlrpc 2017-11-28 22:19:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.